<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class FolderItem extends Component
{

    public $folder;
    public $level;

    /**
     * Create a new component instance.
     */
    public function __construct($folder, $level = 0)
    {
        $this->folder = $folder;
        $this->level = $level;
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.folder-item');
    }
}
